<?php
namespace Ep\Wp;

use Laminas\ServiceManager\Factory\InvokableFactory;

return [
    'dependencies' => [
        'aliases' => [
            'wp' => WordPress::class,
        ],

        'factories' => [
            WordPress::class => WordPressFactory::class,

            Plugin\TwigExtension::class       => InvokableFactory::class,
            View\ViewPluginManager::class     => View\ViewPluginManagerFactory::class,
            Widget\WidgetPluginManager::class => Widget\WidgetPluginManagerFactory::class,
        ],
    ],
];
