<?php
namespace Ep\Wp\Plugin;

use Ak\Wp\Plugin\PluginInterface;

/**
 * Flatsome tema.
 *
 * @package Ep\Wp\Plugin
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-wordpress
 */
class Flatsome implements PluginInterface
{
    /** @var int */
    protected $oldLevel;

    /**
     * Dodaje akcije i filtere u WordPress.
     */
    public function attach(): void
    {
        add_action('wp_before_admin_bar_render', function() {
            $this->oldLevel = error_reporting(0);
        }, 9);

        add_action('wp_before_admin_bar_render', function() {
            error_reporting($this->oldLevel);
        }, 11);
    }
}