<?php
namespace Ep\Wp;

use Ep\Db\TableGateway\AbstractTableGatewayFactory;

return [
    'db' => [
        'tables' => [
            'wp.options' => [
                'name' => 'wp_options',
                'gateway' => Db\OptionsTable::class,
            ],
        ],
    ],

    'dependencies' => [
        'factories' => [
            'wp.options' => AbstractTableGatewayFactory::class,
        ],
    ],
];